org.hibernate.search.elasticsearch.schema.impl.model

## Enum DataType

- java.lang.Object
- - java.lang.Enum<DataType>
  - - org.hibernate.search.elasticsearch.schema.impl.model.DataType

- All Implemented Interfaces:
    Serializable, Comparable<DataType>

      public enum DataType
      extends Enum<DataType>

  An enum for Elasticsearch data types.

  Only provides values for the types we actually use. See https://www.elastic.co/guide/en/elasticsearch/reference/current/mapping-types.html

  Author:
    Yoann Rodiere

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `DATE`
    `DOUBLE`
    `FLOAT`
    `GEO_POINT`
    `INTEGER`
    `KEYWORD`
    `LONG`
    `OBJECT`
    `STRING` Deprecated. Only used in Elasticsearch 2.x. Use TEXT or KEYWORD instead.
    `TEXT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isComposite()`
    `static DataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OBJECT

          @SerializedName(value="object")
          public static final DataType OBJECT

    - #### STRING

          @SerializedName(value="string")
           @Deprecated
          public static final DataType STRING

      Deprecated. Only used in Elasticsearch 2.x. Use TEXT or KEYWORD instead.

    - #### TEXT

          @SerializedName(value="text")
          public static final DataType TEXT

    - #### KEYWORD

          @SerializedName(value="keyword")
          public static final DataType KEYWORD

    - #### LONG

          @SerializedName(value="long")
          public static final DataType LONG

    - #### INTEGER

          @SerializedName(value="integer")
          public static final DataType INTEGER

    - #### DOUBLE

          @SerializedName(value="double")
          public static final DataType DOUBLE

    - #### FLOAT

          @SerializedName(value="float")
          public static final DataType FLOAT

    - #### DATE

          @SerializedName(value="date")
          public static final DataType DATE

    - #### BOOLEAN

          @SerializedName(value="boolean")
          public static final DataType BOOLEAN

    - #### GEO_POINT

          @SerializedName(value="geo_point")
          public static final DataType GEO_POINT

  - ### Method Detail

    - #### values

          public static DataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataType c : DataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isComposite

          public boolean isComposite()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved